# PetscStrcat

Concatenates a string onto a given string

### Synopsis

    #include "petsc.h"
    PetscErrorCode PetscStrcat(char s[],const char t[])

Not Collective

### Input Parameters

| s | - pointer to string to be added to end
| t | - string to be added to

### See Also

PetscStrcpy(), PetscStrncpy(), PetscStrncat()

Level:intermediate
Location:src/sys/src/utils/str.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/dm/ao/examples/tutorials/ex1.c.html